POST
/api/admin/merchants
const url = 'https://example.com/api/admin/merchants';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","paychoiceEnvironment":"Staging","description":"example","contactEmail":"hello@example.com","contactPhone":"example","country":"example","timeZone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/admin/merchants \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "paychoiceEnvironment": "Staging", "description": "example", "contactEmail": "hello@example.com", "contactPhone": "example", "country": "example", "timeZone": "example" }'Establish a new merchant.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
name
required
string
paychoiceEnvironment
string
description
string
contactEmail
string format: email
contactPhone
string
country
string
timeZone
string
object
name
required
string
paychoiceEnvironment
string
description
string
contactEmail
string format: email
contactPhone
string
country
string
timeZone
string
object
name
required
string
paychoiceEnvironment
string
description
string
contactEmail
string format: email
contactPhone
string
country
string
timeZone
string
Responses
Section titled “ Responses ”Created
Media type application/json
object
id
string format: uuid
name
string
description
string
contactEmail
string
contactPhone
string
country
string
timeZone
string
isActive
boolean
gatewayConfigured
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
paychoiceEnvironment
string
merchantGuidConfigured
boolean
paychoiceMerchantProfileId
string
billingRetryOffsetsDays
string
billingTerminalAction
string
bankSettlementWindowDays
integer format: int32
Example
{ "paychoiceEnvironment": "Staging", "billingTerminalAction": "Cancel"}Bad Request
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}